/*
 * Copyright (c) eHealth
 */
package be.ehealth.business.kmehrcommons;

import org.junit.Assert;
import org.junit.Test;

import be.fgov.ehealth.standards.kmehr.cd.v1.CDCONSENT;
import be.fgov.ehealth.standards.kmehr.cd.v1.CDCONSENTvalues;


/**
 * Test {@link be.ehealth.business.kmehrcommons.CDConsentBuilderUtil.class}
 * 
 * @author EHP
 */
public final class CDConsentBuilderUtilTest {

    @Test
    public void testMethodCreateCDConsent() {
        CDCONSENT createCDConsent = CDConsentBuilderUtil.createCDConsent("1.0", CDCONSENTvalues.LOCAL);
        Assert.assertEquals(CDCONSENTvalues.LOCAL, createCDConsent.getValue());
        Assert.assertEquals("1.0", createCDConsent.getSV());
    }


}
